<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>ModifDelController</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ModifDelController";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ModifDelController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">controllers</a></div>
<h2 title="Class ModifDelController" class="title">Class ModifDelController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>controllers.ModifDelController</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.event.ActionListener</code>, <code>java.util.EventListener</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">ModifDelController</span>
extends java.lang.Object
implements java.awt.event.ActionListener</pre>
<div class="block">ModifDelController is the class which manage the event from the view to edit or delete a user</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Clement AZIBEIRO</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(views.ModifDelView,model.classes.User,boolean,boolean)">ModifDelController</a></span>&#8203;(<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a>&nbsp;modifDelView,
                  <a href="../model/classes/User.html" title="class in model.classes">User</a>&nbsp;user_connected,
                  boolean&nbsp;btnEditPressed,
                  boolean&nbsp;btnDelPressed)</code></th>
<td class="colLast">
<div class="block">Constructor of the AddUserController class</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#actionPerformed(java.awt.event.ActionEvent)">actionPerformed</a></span>&#8203;(java.awt.event.ActionEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">ActionListener override method used to listening action on JButtons and Combo boxes</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#configureDelUserView()">configureDelUserView</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#configureModifUserView()">configureModifUserView</a></span>()</code></th>
<td class="colLast">
<div class="block">Method used to configure the view to edit a user</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#disableTextAndComboBox()">disableTextAndComboBox</a></span>()</code></th>
<td class="colLast">
<div class="block">Method used when the view to delete a user is called, this disable all the texts fields and combo boxes</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../model/classes/User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#modifiedUser()">modifiedUser</a></span>()</code></th>
<td class="colLast">
<div class="block">Instance a user with the modified data in the edit view</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../model/classes/Role.html" title="class in model.classes">Role</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#selectedRole()">selectedRole</a></span>()</code></th>
<td class="colLast">
<div class="block">Method used to get the selected role in the combo box</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../model/classes/User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#selectedSupervisor()">selectedSupervisor</a></span>()</code></th>
<td class="colLast">
<div class="block">Method used to get the selected supervisor in the combo box</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../model/classes/User.html" title="class in model.classes">User</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#selectedUser()">selectedUser</a></span>()</code></th>
<td class="colLast">
<div class="block">Method used to get the selected user in the combo box</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTextAndCombo(model.classes.User)">setTextAndCombo</a></span>&#8203;(<a href="../model/classes/User.html" title="class in model.classes">User</a>&nbsp;user_selected)</code></th>
<td class="colLast">
<div class="block">Fill the JTextField and JComboBox with the data of the user selected</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(views.ModifDelView,model.classes.User,boolean,boolean)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ModifDelController</h4>
<pre>public&nbsp;ModifDelController&#8203;(<a href="../views/ModifDelView.html" title="class in views">ModifDelView</a>&nbsp;modifDelView,
                          <a href="../model/classes/User.html" title="class in model.classes">User</a>&nbsp;user_connected,
                          boolean&nbsp;btnEditPressed,
                          boolean&nbsp;btnDelPressed)</pre>
<div class="block">Constructor of the AddUserController class</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>modifDelView</code> - The view to edit or delete a user</dd>
<dd><code>btnEditPressed</code> - The status of the button edit (if it pressed)</dd>
<dd><code>btnDelPressed</code> - The status of the button delete (if it pressed)</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="actionPerformed(java.awt.event.ActionEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>actionPerformed</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;actionPerformed&#8203;(java.awt.event.ActionEvent&nbsp;e)</pre>
<div class="block">ActionListener override method used to listening action on JButtons and Combo boxes</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>actionPerformed</code>&nbsp;in interface&nbsp;<code>java.awt.event.ActionListener</code></dd>
</dl>
</li>
</ul>
<a id="modifiedUser()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>modifiedUser</h4>
<pre class="methodSignature">public&nbsp;<a href="../model/classes/User.html" title="class in model.classes">User</a>&nbsp;modifiedUser()</pre>
<div class="block">Instance a user with the modified data in the edit view</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An instance of user, modified</dd>
</dl>
</li>
</ul>
<a id="selectedSupervisor()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectedSupervisor</h4>
<pre class="methodSignature">public&nbsp;<a href="../model/classes/User.html" title="class in model.classes">User</a>&nbsp;selectedSupervisor()</pre>
<div class="block">Method used to get the selected supervisor in the combo box</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An instance of user, the supervisor selected</dd>
</dl>
</li>
</ul>
<a id="selectedRole()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectedRole</h4>
<pre class="methodSignature">public&nbsp;<a href="../model/classes/Role.html" title="class in model.classes">Role</a>&nbsp;selectedRole()</pre>
<div class="block">Method used to get the selected role in the combo box</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An instance of role, The role selected</dd>
</dl>
</li>
</ul>
<a id="selectedUser()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectedUser</h4>
<pre class="methodSignature">public&nbsp;<a href="../model/classes/User.html" title="class in model.classes">User</a>&nbsp;selectedUser()</pre>
<div class="block">Method used to get the selected user in the combo box</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An instance of user, the user selected</dd>
</dl>
</li>
</ul>
<a id="setTextAndCombo(model.classes.User)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTextAndCombo</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setTextAndCombo&#8203;(<a href="../model/classes/User.html" title="class in model.classes">User</a>&nbsp;user_selected)</pre>
<div class="block">Fill the JTextField and JComboBox with the data of the user selected</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user_selected</code> - The user selected in the combo box</dd>
</dl>
</li>
</ul>
<a id="configureModifUserView()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureModifUserView</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;configureModifUserView()</pre>
<div class="block">Method used to configure the view to edit a user</div>
</li>
</ul>
<a id="configureDelUserView()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureDelUserView</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;configureDelUserView()</pre>
</li>
</ul>
<a id="disableTextAndComboBox()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>disableTextAndComboBox</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;disableTextAndComboBox()</pre>
<div class="block">Method used when the view to delete a user is called, this disable all the texts fields and combo boxes</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ModifDelController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
